org.bouncycastle.asn1.crmf

## Class POPOSigningKeyInput

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.crmf.POPOSigningKeyInput

All Implemented Interfaces:
  DEREncodable

    public class POPOSigningKeyInput
    extends ASN1Encodable

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Method Summary

Methods
`static POPOSigningKeyInput` `getInstance(java.lang.Object o)`
`SubjectPublicKeyInfo` `getPublicKey()`

`DERObject`

`toASN1Object()`
POPOSigningKeyInput ::= SEQUENCE { authInfo CHOICE { sender [0] GeneralName, -- used only if an authenticated identity has been -- established for the sender (e.g., a DN from a -- previously-issued and currently-valid certificate publicKeyMAC PKMACValue }, -- used if no authenticated GeneralName currently exists for -- the sender; publicKeyMAC contains a password-based MAC -- on the DER-encoded value of publicKey publicKey SubjectPublicKeyInfo } -- from CertTemplate

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getInstance

    public static POPOSigningKeyInput getInstance(java.lang.Object o)

#### getPublicKey

    public SubjectPublicKeyInfo getPublicKey()

#### toASN1Object

    public DERObject toASN1Object()

     POPOSigningKeyInput ::= SEQUENCE {
            authInfo             CHOICE {
                                     sender              [0] GeneralName,
                                     -- used only if an authenticated identity has been
                                     -- established for the sender (e.g., a DN from a
                                     -- previously-issued and currently-valid certificate
                                     publicKeyMAC        PKMACValue },
                                     -- used if no authenticated GeneralName currently exists for
                                     -- the sender; publicKeyMAC contains a password-based MAC
                                     -- on the DER-encoded value of publicKey
            publicKey           SubjectPublicKeyInfo }  -- from CertTemplate

Specified by:
  `toASN1Object` in class `ASN1Encodable`
Returns:
  a basic ASN.1 object representation.